summaryrefslogtreecommitdiff
path: root/sys-apps/debianutils/debianutils-5.23.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-16 19:13:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-16 19:13:42 +0000
commitafae01ffd370a829cb4c628a4dd7e8f87e35b2e3 (patch)
tree69bcc5cef0274fe8fe1bc322842bae6c1739f1ab /sys-apps/debianutils/debianutils-5.23.2.ebuild
parent6377d9ae9eeb85de4ce4fec4e8544101640035e9 (diff)
downloadbaldeagleos-repo-afae01ffd370a829cb4c628a4dd7e8f87e35b2e3.tar.gz
baldeagleos-repo-afae01ffd370a829cb4c628a4dd7e8f87e35b2e3.tar.xz
baldeagleos-repo-afae01ffd370a829cb4c628a4dd7e8f87e35b2e3.zip
Adding metadata
Diffstat (limited to 'sys-apps/debianutils/debianutils-5.23.2.ebuild')
-rw-r--r--sys-apps/debianutils/debianutils-5.23.2.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/sys-apps/debianutils/debianutils-5.23.2.ebuild b/sys-apps/debianutils/debianutils-5.23.2.ebuild
new file mode 100644
index 000000000000..9141f220adc0
--- /dev/null
+++ b/sys-apps/debianutils/debianutils-5.23.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="A selection of tools from Debian"
+HOMEPAGE="https://packages.qa.debian.org/d/debianutils.html"
+SRC_URI="mirror://debian/pool/main/d/${PN}/${PN}_${PV}.tar.xz"
+#SRC_URI="mirror://gentoo/e7/${PN}_${PV}.tar.xz"
+S="${WORKDIR}"/work
+
+LICENSE="BSD GPL-2 SMAIL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="static"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.4.2-no-bs-namespace.patch )
+
+src_prepare() {
+ # Avoid adding po4a dependency, upstream refreshes manpages.
+ sed -i -e '/SUBDIRS/s|po4a||' Makefile.am || die
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ use static && append-ldflags -static
+ default
+}
+
+src_install() {
+ einstalldocs
+
+ into /
+ dobin run-parts
+
+ into /usr
+ dobin ischroot
+ dosbin savelog
+
+ doman ischroot.1 run-parts.8 savelog.8
+}